OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
AttributeCopy< ValueType > Struct Template Reference

`#include <openvdb_houdini/AttributeTransferUtil.h>`

Inheritance diagram for AttributeCopy< ValueType >:

## Public Types
using | Ptr = std::shared_ptr< AttributeCopyBase >

## Public Member Functions
| AttributeCopy (const GA_Attribute &sourceAttr, GA_Attribute &targetAttr)
void | copy (GA_Offset source, GA_Offset target) override
void | copy (GA_Offset &v0, GA_Offset &v1, GA_Offset &v2, GA_Offset target, const openvdb::Vec3d &uvw) override

## Member Typedef Documentation

## ◆ Ptr

using Ptr = std::shared_ptr<AttributeCopyBase>
| inherited

## Constructor & Destructor Documentation

## ◆ AttributeCopy()

template<class ValueType >

AttributeCopy | ( | const GA_Attribute & | sourceAttr,
|  | GA_Attribute & | targetAttr
| ) |  |
| inline

## Member Function Documentation

## ◆ copy() [1/2]

template<class ValueType >

void copy | ( | GA_Offset & | v0,
|  | GA_Offset & | v1,
|  | GA_Offset & | v2,
|  | GA_Offset | target,
|  | const openvdb::Vec3d & | uvw
| ) |  |
| inline override virtual

Implements AttributeCopyBase.

## ◆ copy() [2/2]

template<class ValueType >

void copy | ( | GA_Offset | source,
|  | GA_Offset | target
| ) |  |
| inline override virtual

Implements AttributeCopyBase.